{
  "$schema": "https://schema.tauri.app/config/2.0",
  "productName": "OSTP VPN",
  "version": "0.1.0",
  "identifier": "network.ospab.ostp",
  "build": {
    "beforeDevCommand": "",
    "devUrl": "http://localhost:1420",
    "beforeBuildCommand": "",
    "frontendDist": "./ui"
  },
  "app": {
    "windows": [
      {
        "title": "OSTP VPN",
        "width": 450,
        "height": 600,
        "resizable": false,
        "fullscreen": false,
        "decorations": true,
        "transparent": false,
        "alwaysOnTop": false
      }
    ],
    "security": {
      "csp": "default-src 'self'; style-src 'self' 'unsafe-inline'"
    }
  },
  "bundle": {
    "active": true,
    "targets": ["msi"],
    "icon": [
      "icons/32x32.png",
      "icons/128x128.png",
      "icons/icon.ico"
    ],
    "windows": {
      "certificateThumbprint": null,
      "digestAlgorithm": "sha256",
      "timestampUrl": ""
    }
  }
}
